import axiosClient from '@/config/axios'

export const loadMerchants = ({ commit }, filter_data) => {
  return axiosClient
    .post('merchantlist', filter_data)
    .then(response => {
      return Promise.resolve(response)
    }).catch(exception => {
      console.log('Merchants API Exception', exception);
    })
}

export const allTransactions = ({ commit }, filter_data) => {
  return axiosClient
    .post('alltransaction', filter_data)
    .then(response => {
      return Promise.resolve(response)
    }).catch(exception => {
      console.log('All Transaction API Exception', exception);
    })
}

export const loadRefundedTransactions = ({ commit }, filter_data) => {
  return axiosClient
    .post('refundedtransaction', filter_data)
    .then(response => {
      return Promise.resolve(response)
    }).catch(exception => {
      console.log('Refunded API Exception', exception);
    })
}

export const loadChargebackTransactions = ({ commit }, filter_data) => {
  return axiosClient
    .get('chargeback/list', { params: filter_data })
    .then(response => {
      return Promise.resolve(response)
    }).catch(exception => {
      console.log('Chargeback API Exception', exception);
    })
}

export const loadIntegratorInformation = () => {
  return axiosClient
    .get('integratorinfo')
    .then(response => {
      return Promise.resolve(response)
    }).catch(exception => {
      console.log('Integrator Information API Exception', exception);
    })
}